<aside class="module">

    <div class="thread-sidebar">

        <div class="module flat less-margin">
            <h5 class="flat-title">Hilo</h5>
            <ul class="counters">
                <li><span>Status</span><strong>{{ thread.open ? 'Abierto' : 'Cerrado' }}</strong></li>
                <li><span>Participación</span><strong>{{ thread.restricted ? 'Restringida' : 'Libre' }}</strong></li>
                <li><span>Respuestas</span><strong>{{ thread.replyCount }}</strong></li>
            </ul>
        </div>

        <hr>

        <div class="module flat less-margin">
            <h5 class="flat-title">Participantes</h5>
            <mr-participant-list
            *ngIf="thread.participants.length"
            [thread]="thread.id"
            [participants]="thread.participants"
            [isAuthor]="isAuthor"
            [author]="thread.author"
            [user]="currentUser"></mr-participant-list>

            <button *ngIf="isAuthor" mr-button class="primary reverse with-icon" (click)="manageParticipants()">
                <i class="las la-users"></i>
                Gestionar
            </button>
        </div>

        <hr>

        <div class="module flat less-margin">
            <p *ngIf="linkedFiles.length === 0" class="muted small">Parece que aún no hay fichas vinculadas en este hilo</p>

            <button *ngIf="linkedFiles.length > 0"
            mr-button class="primary hover with-icon" (click)="openFileSidebar()">
                <i class="las la-external-link-square-alt"></i>
                Ver fichas ({{ linkedFiles.length }})
            </button>

            <button *ngIf="isParticipant" mr-button class="primary hover with-icon" (click)="linkFile()">
                <i class="las la-plus-circle"></i>
                Vincular una ficha
            </button>
        </div>

        <hr>

        <div class="module flat less-margin">
            <button
            mr-button class="primary hover with-icon" (click)="openCommentSidebar()">
                <i class="las la-comment"></i>
                Comentarios ({{ thread.commentCount }})
            </button>
        </div>

        <hr>

        <div class="module flat less-margin">
            <h5 class="flat-title">Etiquetas</h5>
            <p *ngIf="!thread.tags || thread.tags.length === 0" class="muted small">No hay etiquetas vinculadas a este hilo</p>
            <mr-tag-list *ngIf="thread.tags && thread.tags.length > 0" [tags]="thread.tags"></mr-tag-list>
        </div>

    </div>

</aside>
